package org.nl.acs.device_driver.basedriver.agv.magic_agv;

import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.DeviceDriverDefination;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 普通站点定义
 */
@Service
public class MagicAgvDefination implements DeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "magic_agv";
    }

    @Override
    public String getDriverName() {
        return "标准版-MagicAgv";
    }

    @Override
    public String getDriverDescription() {
        return "标准版-MagicAgv";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new MagicAgvDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return MagicAgvDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }
}
